
package shub.dpm;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class endecodetester implements IRemote{
	public static endecodetester mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public endecodetester() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
	public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("endecodetester"), "shub.dpm.endecodetester");
	}

public boolean isSingleton() {
		return true;
	}
     public static RemoteObject getObject() {
		return myClass;
	 }

	public RemoteObject activityBA;
	public RemoteObject _activity;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
		activityBA = (RemoteObject) args[2];
		_activity = (RemoteObject) args[3];
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[4];
        remoteMe = (RemoteObject) args[5];
		pcBA = new PCBA(this, endecodetester.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static shub.dpm.main _main = null;
public static shub.dpm.parameter _parameter = null;
public static shub.dpm.about _about = null;
public static shub.dpm.barcodescanner _barcodescanner = null;
public static shub.dpm.allgfnkt _allgfnkt = null;
public static shub.dpm.listpat _listpat = null;
public static shub.dpm.jobservice _jobservice = null;
public static shub.dpm.listdata _listdata = null;
public static shub.dpm.starter _starter = null;
public static shub.dpm.b4xpages _b4xpages = null;
public static shub.dpm.b4xcollections _b4xcollections = null;
public static shub.dpm.httputils2service _httputils2service = null;
  public Object[] GetGlobals() {
		return new Object[] {"About",Debug.moduleToString(shub.dpm.about.class),"Activity",endecodetester.mostCurrent._activity,"AllgFnkt",Debug.moduleToString(shub.dpm.allgfnkt.class),"B4XCollections",Debug.moduleToString(shub.dpm.b4xcollections.class),"B4XPages",Debug.moduleToString(shub.dpm.b4xpages.class),"BarcodeScanner",Debug.moduleToString(shub.dpm.barcodescanner.class),"HttpUtils2Service",Debug.moduleToString(shub.dpm.httputils2service.class),"JobService",Debug.moduleToString(shub.dpm.jobservice.class),"ListData",Debug.moduleToString(shub.dpm.listdata.class),"ListPat",Debug.moduleToString(shub.dpm.listpat.class),"Main",Debug.moduleToString(shub.dpm.main.class),"Parameter",Debug.moduleToString(shub.dpm.parameter.class),"Starter",Debug.moduleToString(shub.dpm.starter.class)};
}
}